Panda3D

Loading...
Searching...
No Matches
Classes | Functions | Variables
direct.leveleditor.LevelEditorBase Namespace Reference

## Classes
class | LevelEditorBase

## Functions
| cleanUpManipulating (self, selectedNPs)
| reply = wx.MessageBox("Do you want to delete selected?", "Delete?", wx.YES_NO | wx.ICON_QUESTION) if reply == wx.YES: base.direct.removeAllSelected() else:
| convertFromMaya (self, modelname, callBack)
| convertMaya (self, modelname, callBack, obj=None, isAnim=False)
| deselectAll (self, np=None)
| deselectAllCB (self, dnp=None)
| exportToMaya (self, mayaFileName)
| exportToMayaCB (self, mayaFileName, exportRootNP)
| load (self, fileName)
| loadSettings (self)
| propMeetsReq (self, typeName, parentNP)
| reset (self)
| resetOrthoCam (self, view)
| save (self)
| saveAs (self, fileName)
| saveSettings (self)
| select (self, nodePath, fMultiSelect=0, fSelectTag=1, fResetAncestry=1, fLEPane=0, fUndo=1)
| selectedNodePathHook (self, nodePath, fMultiSelect=0, fSelectTag=1, fLEPane=0)
| updateStatusReadout (self, status, color=None)
| updateStatusReadoutTimeouts (self, task=None)

## Variables
| currentFile
bool | fNeedToSave
| mode = self.EDIT_CURVE_MODE:
| statusLines

## Detailed Description

    Base class for Level Editor

    You should write your own LevelEditor class inheriting this.
    Refer LevelEditor.py for example.

## Function Documentation

## ◆ cleanUpManipulating()

cleanUpManipulating | ( |  | self,
|  |  | selectedNPs )

reply = wx.MessageBox("Do you want to delete selected?", "Delete?", wx.YES_NO | wx.ICON_QUESTION) if reply == wx.YES: base.direct.removeAllSelected() else:

# need to reset COA

dnp = base.direct.selected.last

# Update camera controls coa to this point

# Coa2Camera = Coa2Dnp * Dnp2Camera

mCoa2Camera = dnp.mCoa2Dnp * dnp.getMat(base.direct.camera) row = mCoa2Camera.getRow(3) coa = Vec3(row[0], row[1], row[2]) base.direct.cameraControl.updateCoa(coa)

## ◆ convertFromMaya()

convertFromMaya | ( |  | self,
|  |  | modelname,
|  |  | callBack )

## ◆ convertMaya()

convertMaya | ( |  | self,
|  |  | modelname,
|  |  | callBack,
|  |  | obj = None,
|  |  | isAnim = False )

## ◆ deselectAll()

deselectAll | ( |  | self,
|  |  | np = None )

## ◆ deselectAllCB()

deselectAllCB | ( |  | self,
|  |  | dnp = None )

## ◆ exportToMaya()

exportToMaya | ( |  | self,
|  |  | mayaFileName )

## ◆ exportToMayaCB()

exportToMayaCB | ( |  | self,
|  |  | mayaFileName,
|  |  | exportRootNP )

## ◆ load()

load | ( |  | self,
|  |  | fileName )

## ◆ loadSettings()

loadSettings | ( |  | self | ) |

## ◆ propMeetsReq()

propMeetsReq | ( |  | self,
|  |  | typeName,
|  |  | parentNP )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ resetOrthoCam()

resetOrthoCam | ( |  | self,
|  |  | view )

## ◆ save()

save | ( |  | self | ) |

## ◆ saveAs()

saveAs | ( |  | self,
|  |  | fileName )

## ◆ saveSettings()

saveSettings | ( |  | self | ) |

## ◆ select()

select | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = 0,
|  |  | fSelectTag = 1,
|  |  | fResetAncestry = 1,
|  |  | fLEPane = 0,
|  |  | fUndo = 1 )

## ◆ selectedNodePathHook()

selectedNodePathHook | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = 0,
|  |  | fSelectTag = 1,
|  |  | fLEPane = 0 )

## ◆ updateStatusReadout()

updateStatusReadout | ( |  | self,
|  |  | status,
|  |  | color = None )

## ◆ updateStatusReadoutTimeouts()

updateStatusReadoutTimeouts | ( |  | self,
|  |  | task = None )

## Variable Documentation

## ◆ currentFile

currentFile

## ◆ fNeedToSave

bool fNeedToSave

## ◆ mode

mode = self.EDIT_CURVE_MODE:

## ◆ statusLines

statusLines